# IBM Visualization Data Explorer User's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### VisualObject

Category

Debugging

Function

Creates a renderable representation of the hierarchy of a specified object.

Syntax

    output = VisualObject(input, options);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | object | none | object to see
`options` | string | "v" | orientation: vertical ("v") or horizontal ("h")

Outputs

Name | Type | Description
--- | --- | ---
`output` | field | visual representation of input

Functional Details

The hierarchy of the input object is represented by a tree-like structure that can be passed directly to Image.

`input` | is the object to be represented.
`options` | specifies whether the root of the tree is to be placed at the top of the image (vertical orientation) or at the left (horizontal orientation).

Example Visual Program

    VisualObject.net

See Also Image, Describe

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]